Skip to main content
POST

Path Parameters

id
string
required

The name of a specific pipeline

collection
string
required

The name of a specific collection

Query Parameters

simulate
boolean
default:false

If true, documents won’t be sent to Solr for indexing; the solr-index stage is skipped

echo
boolean
default:true

If true, return the list of indexed documents; if false, no output is returned

echoMaxCount
integer<int32>
default:100

The maximum number of documents to list in the output

bufferDocsForSolr
boolean

If true, documents will be buffered before sending to Solr; this is an asynchronous mode and may give faster performance when indexing a large number of documents

throwOnError
boolean
default:true
eventsCollection
string
eventsPipeline
string

A string containing the name of the index pipeline that processes the link events; required for event processing

eventTypes
string

A comma-separated list of eventTypes to be processed by the specified index pipeline; the only supported event type is 'links'

Body

The body is of type any.

Response

200 - application/json

successful operation

stages
object[]
output
object
outputEncounteredCount
integer<int64>